package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.ParkingMerchant;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface ParkingMerchantDAO {
	int insert(ParkingMerchant entity);
	int update(ParkingMerchant entity);
	int exist(String id);
	ParkingMerchant get(String id);
	int delete(String id);
	List<ParkingMerchant> list();
	List<ParkingMerchant> search(Map<String, Object> searchParams, List<Sort> sortList);

	ParkingMerchant findByMerchantNo(String merchantNo);
}